%def_without static

Name: qalculate
Version: 0.8.1.1
Release: alt1

Summary: A very versatile desktop calculator
Group: Office
License: GPL
Url: http://qalculate.sourceforge.net
Packager: Pavlov Konstantin <thresh@altlinux.ru>
Requires: lib%name = %version-%release
Requires: %name-common = %version-%release

Source: lib%name-%version.tar.gz

# Automatically added by buildreq on Fri Jun 17 2005
BuildRequires: libcln-devel gcc-c++ gcc-g77 glib2-devel libg2c-devel libgmp-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig zlib-devel

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface (GTK+) that uses a one-line fault-tolerant
expression entry (although it supports optional traditional buttons).

%package -n lib%name
Summary: libqalculate libraries
Group: System/Libraries

%description -n lib%name
Qalculate libraries.

%package -n lib%name-devel
Summary: libqalculate development package
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
The libqalculate package contains the header files needed for developing
applications that use libqalculate. Install libqalculate-devel if
you want to develop applications using libqalculate.

%if_enabled static
%package -n %libname-devel-static
Summary: libqalculate static library
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static version of libqalculate. Install
libqalculate-devel-static if you want to develop applications statically linked
with libqalculate.
%endif

%package common
Summary: qalculate common files
Group: Office

%description common
This package contains common files used by qalculate frontends.

%prep
%setup -q -n lib%name-%version

%build
%configure \
	--enable-defs2doc

%make_build

%install
%make_install DESTDIR=%buildroot install

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%find_lang %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/lib%name
%_libdir/*.so
%_libdir/pkgconfig/*

%files -f %name.lang
%_bindir/*

%files common
%_datadir/qalculate

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Sat Aug 27 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.8.1.1-alt1
- Initial build.

